Package org.drinkless.tdlib

# Class TdApi.SetChatAffiliateProgram

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetChatAffiliateProgram

Enclosing class:
  `TdApi`

public static class TdApi.SetChatAffiliateProgram extends TdApi.Function<TdApi.Ok>
Changes affiliate program for a bot.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat with an owned bot for which affiliate program is changed.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.AffiliateProgramParameters`
  `parameters`
  Parameters of the affiliate program; pass null to close the currently active program.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetChatAffiliateProgram()`
  Default constructor for a function, which changes affiliate program for a bot.
  `SetChatAffiliateProgram(long chatId, TdApi.AffiliateProgramParameters parameters)`
  Creates a function, which changes affiliate program for a bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat with an owned bot for which affiliate program is changed.

  - ### parameters

    public TdApi.AffiliateProgramParameters parameters
    Parameters of the affiliate program; pass null to close the currently active program. If there is an active program, then commission and program duration can only be increased. If the active program is scheduled to be closed, then it can't be changed anymore.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetChatAffiliateProgram

    public SetChatAffiliateProgram()
    Default constructor for a function, which changes affiliate program for a bot.

    Returns `Ok`

  - ### SetChatAffiliateProgram

    public SetChatAffiliateProgram(long chatId, TdApi.AffiliateProgramParameters parameters)
    Creates a function, which changes affiliate program for a bot.

    Returns `Ok`

    Parameters:
      `chatId` - Identifier of the chat with an owned bot for which affiliate program is changed.
      `parameters` - Parameters of the affiliate program; pass null to close the currently active program. If there is an active program, then commission and program duration can only be increased. If the active program is scheduled to be closed, then it can't be changed anymore.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR